> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skayle.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Tags

> List tags and fetch single tag resources.

## Endpoints

```bash theme={null}
GET /tags
GET /tags/:id-or-slug
```

Taxonomy scope:

* Tags are available only at root (`/tags`) and apply to `articles` content.
* Collection-specific taxonomy endpoints are not supported.

## List query parameters

| Parameter  | Type    | Default | Description                                        |
| ---------- | ------- | ------- | -------------------------------------------------- |
| `page`     | integer | `1`     | Page number                                        |
| `per_page` | integer | `10`    | Items per page                                     |
| `search`   | string  | -       | Search by name or slug                             |
| `orderby`  | string  | `name`  | Sort by `name`, `slug`, `id`, `date`, `created_at` |
| `order`    | string  | `desc`  | `asc` or `desc`                                    |
| `_fields`  | string  | -       | Comma-separated attribute field filter             |

## Example list request

```bash theme={null}
curl "https://api.skayle.ai/v1/ORG_ID/tags?search=seo&orderby=name&order=asc"
```

## Example list response

```json theme={null}
{
  "data": [
    {
      "id": "tag_01HZ...",
      "type": "tags",
      "attributes": {
        "name": "SEO",
        "slug": "seo",
        "post_count": 33,
        "created_at": "2025-12-12T10:00:00.000Z",
        "updated_at": "2026-01-22T13:10:00.000Z"
      },
      "relationships": {
        "articles": {
          "data": null,
          "links": {
            "related": "/v1/ORG_ID/articles?tags=tag_01HZ..."
          }
        }
      },
      "links": {
        "self": "/v1/ORG_ID/tags/tag_01HZ..."
      }
    }
  ],
  "meta": {
    "total": 26,
    "per_page": 10,
    "page": 1
  }
}
```

## Example single request

```bash theme={null}
curl "https://api.skayle.ai/v1/ORG_ID/tags/seo"
```

## Single not found

```json theme={null}
{
  "errors": [
    {
      "status": "404",
      "title": "Not Found",
      "detail": "Tag with id or slug \"seo\" not found"
    }
  ]
}
```

## Response field descriptions

| Field                           | Type   | Description                          |
| ------------------------------- | ------ | ------------------------------------ |
| `data[].id`                     | string | Tag ID                               |
| `data[].type`                   | string | Resource type (`tags`)               |
| `data[].attributes.name`        | string | Tag name                             |
| `data[].attributes.slug`        | string | Tag slug                             |
| `data[].attributes.post_count`  | number | Published article count for this tag |
| `data[].attributes.created_at`  | string | ISO datetime                         |
| `data[].attributes.updated_at`  | string | ISO datetime                         |
| `data[].relationships.articles` | object | Related filtered items feed          |
| `meta.total`                    | number | Total tags                           |
| `meta.per_page`                 | number | Page size                            |
| `meta.page`                     | number | Current page                         |

## Filtering and pagination

* `search` filters by tag name/slug.
* `page` and `per_page` control pagination.
* `orderby` and `order` control sorting.

## Error responses

* `404` when single tag ID/slug is not found.
